Bug 441980 - No /dev/dvd created on T61 [NEEDINFO]
No /dev/dvd created on T61
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 20:34 EDT by Sammy
Modified: 2009-01-09 01:22 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:22:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
harald: needinfo? (umar)


Attachments (Terms of Use)
/var/log/messages stuff (9.29 KB, text/plain)
2008-04-23 19:05 EDT, Sammy
no flags Details
old persistent rules file (1.67 KB, text/plain)
2008-04-24 19:09 EDT, Sammy
no flags Details

  None (edit)
Description Sammy 2008-04-10 20:34:03 EDT
I have a new ThinkPad T61 laptop running F8+updates. Most things are
working just fine. I have a CDRW and DVD device on the notebook.
Udev creates /dev/cdrom1 and /dev/cdrw1 devices but not /dev/dvd
device, so when I try to use mplayer, xine etc to watch a dvd the device
is known.

As a temporary solution I used /dev/udev/devices directory and put
in there a link from dvd--->sr0. This then creates the device and it
works fine except I get an error message during boot to use makedev.d
instead. When I add "dvd" into the file in that directory no device is
created.

Thanks,

I am not sure what info is needed but here is some:

ThinkPad BIOS 7LETB2WW (2.12 ), EC 7KHT24WW-1.08
Lenovo ThinkPad T61, model 7662CTO

======================messages====================================
kernel: ata4.00: ATAPI: HL-DT-STCD-RW/DVD DRIVE GCC-M10N, 1.02, max UDMA/33
kernel: udev: renamed network interface ath0 to wlan0
kernel: firewire_core: created device fw0: GUID 00016c00005a5b19, S400
kernel: ata4.00: configured for UDMA/33
kernel: scsi 3:0:0:0: CD-ROM            HL-DT-ST RW/DVD GCC-M10N  1.02 PQ: 0 ANSI: 5
kernel: scsi 3:0:0:0: Attached scsi generic sg1 type 5
kernel: ACPI: PCI Interrupt 0000:00:1b.0[B] -> GSI 17 (level, low) -> IRQ 17
========================================================================
========================dmesg=====================================
ata4.00: ATAPI: HL-DT-STCD-RW/DVD DRIVE GCC-M10N, 1.02, max UDMA/33
scsi 3:0:0:0: CD-ROM            HL-DT-ST RW/DVD GCC-M10N  1.02 PQ: 0 ANSI: 5
scsi 3:0:0:0: Attached scsi generic sg1 type 5
ACPI: PCI Interrupt 0000:00:1b.0[B] -> GSI 17 (level, low) -> IRQ 17
hda_intel: probe_mask set to 0x1 for device 17aa:20ac
PCI: Setting latency timer of device 0000:00:1b.0 to 64
Driver 'sr' needs updating - please use bus_type methods
sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 3:0:0:0: Attached scsi CD-ROM sr0
=================================================================
Comment 1 Sammy 2008-04-13 11:46:17 EDT
Some more info:

Host: scsi3 Channel: 00 Id: 00 Lun: 00
  Vendor: HL-DT-ST Model: RW/DVD GCC-M10N  Rev: 1.02
  Type:   CD-ROM                           ANSI  SCSI revision: 05

# wodim -scanbus
3,0,0   300) 'HL-DT-ST' 'RW/DVD GCC-M10N ' '1.02' Removable CD-ROM
Comment 2 Sammy 2008-04-13 14:13:23 EDT
Also,

# /lib/udev/cdrom_id /dev/sr0
ID_CDROM=1
ID_CDROM_CD_R=1
ID_CDROM_CD_RW=1
ID_CDROM_DVD=1
ID_CDROM_MRW=1
ID_CDROM_MRW_W=1
ID_CDROM_RAM=1
Comment 3 Harald Hoyer 2008-04-23 06:21:21 EDT
run in one terminal:
# udevcontrol --log_priority=debug
# udevmonitor

and in another:

# echo 1 > /sys/class/block/sr0/uevent

and attach the output of udevmonitor and the output of:
# grep udev /var/log/messages
Comment 4 Sammy 2008-04-23 19:04:19 EDT
Hi,

There was no /sys/class/block/sr0/uevent but /sys/block/sr0/uevent
so I used that. Messages from udevmonitor on console is below and I will
attach the stuff from /var/log/messages.

# udevmonitor
udevmonitor will print the received events for:
UDEV the event which udev sends out after rule processing
UEVENT the kernel uevent

UEVENT[1208989634.937943] add      /block/sr0 (block)
UDEV  [1208989635.114812] add      /block/sr0 (block)


Comment 5 Sammy 2008-04-23 19:05:05 EDT
Created attachment 303559 [details]
/var/log/messages stuff
Comment 6 Harald Hoyer 2008-04-24 01:15:48 EDT
Please attach:
/etc/udev/rules.d/70-persistent-cd.rules

and then remove it. This file should be regenerated.

Hopefully after that you should have /dev/dvd
Comment 7 Sammy 2008-04-24 19:09:34 EDT
Created attachment 303709 [details]
old persistent rules file

Removing this file solved it.

I disk duplicated from my desktop to my laptop over the network
and this file came from the desktop version.

Thanks.
Comment 8 Bug Zapper 2008-11-26 05:27:54 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 01:22:13 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.